//
//  ViewController.m
//  UIStackView
//
//  Created by Guybrush_Treepwood on 19/09/15.
//  Copyright © 2015 Caridei Diego Solution. All rights reserved.
//

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (IBAction)aggiungi:(id)sender {
    //Creiamo un nuovo oggetto di tipo UIImageView
    UIImageView *imagegeView = [[UIImageView alloc]initWithImage:[UIImage imageNamed:@"sfera.png"]];
    //Scaliamo
    imagegeView.contentMode = UIViewContentModeScaleAspectFit;
    //Aggiungiamo la nostra imageView all'interno dello StackView
    [self.horizontalStackView addArrangedSubview:imagegeView];
    [UIView animateWithDuration:0.25 animations:^{
        [self.horizontalStackView layoutIfNeeded];
    }];
}


- (IBAction)rimuovi:(id)sender {
    
    UIView *remove = nil;
    //Verifichiamo se ci sono oggetti da rimuovere
    if(self.horizontalStackView.arrangedSubviews.count > 0){
        remove = self.horizontalStackView.arrangedSubviews.lastObject;
    }
        //Rimuoviamo la view Dallo stackView
        [self.horizontalStackView removeArrangedSubview:remove];
        [remove removeFromSuperview];
        [UIView animateWithDuration:0.25 animations:^{
        [self.horizontalStackView layoutIfNeeded];
        }];
    
}
@end
